首页 新闻 搜索 专区 学院

python3消费kafka数据报错

0
[待解决问题]

UnsupportedCodecError:Libraries for snappy compression codec not found

冯坤大神的主页 冯坤大神 | 菜鸟二级 | 园豆:202
提问于:2021-04-06 18:03
< >
分享
所有回答(1)
0

安装python-snappy包

1、brew install snappy
2、pip3 install python-snappy

或者

1、yum install gcc-c++
2、rpm -ivh snappy-devel-1.1.0-3.el7.x86_64.rpm
3、pip install python-snappy-0.5.4.tar.gz
ycyzharry | 园豆:23921 (高人七级) | 2021-04-06 23:29
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册